Permalink
Browse files

Regenerated gemspec for version 0.1.0

  • Loading branch information...
1 parent 14887c3 commit eda5cb6b0a59f86ff982f66a5e21851c0a4e2afa @gotascii committed Oct 23, 2009
Showing with 48 additions and 45 deletions.
  1. +48 −45 simple_importer.gemspec
@@ -1,51 +1,54 @@
-require 'rubygems'
-require 'rake'
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
+# -*- encoding: utf-8 -*-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "simple_importer"
- gem.summary = %Q{simple file import API}
- gem.description = %Q{simple API for importing from csv, tsv and xml}
- gem.email = "gotascii@gmail.com"
- gem.homepage = "http://github.com/gotascii/simple_importer"
- gem.authors = ["gotascii"]
- # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
- end
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: sudo gem install jeweler"
-end
+Gem::Specification.new do |s|
+ s.name = %q{simple_importer}
+ s.version = "0.1.0"
-require 'rake/testtask'
-Rake::TestTask.new(:test) do |test|
- test.libs << 'lib' << 'test'
- test.pattern = 'test/**/test_*.rb'
- test.verbose = true
-end
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Justin Marney"]
+ s.date = %q{2009-10-22}
+ s.description = %q{Provides a simple dsl for creating csv import tasks.}
+ s.email = %q{gotascii@gmail.com}
+ s.extra_rdoc_files = [
+ "LICENSE",
+ "README.rdoc"
+ ]
+ s.files = [
+ ".gitignore",
+ "LICENSE",
+ "README.rdoc",
+ "Rakefile",
+ "VERSION",
+ "data/example.csv",
+ "importers/example.rb",
+ "lib/simple_importer.rb",
+ "lib/simple_importer/tasks.rb",
+ "lib/simple_importer/tasks/simple_importer.rake",
+ "simple_importer.gemspec",
+ "test/test_helper.rb",
+ "test/test_simple_importer.rb"
+ ]
+ s.homepage = %q{http://github.com/vigetlabs/simple_importer}
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.5}
+ s.summary = %q{Simple api for importing from csv.}
+ s.test_files = [
+ "test/test_helper.rb",
+ "test/test_simple_importer.rb"
+ ]
-begin
- require 'rcov/rcovtask'
- Rcov::RcovTask.new do |test|
- test.libs << 'test'
- test.pattern = 'test/**/test_*.rb'
- test.verbose = true
- end
-rescue LoadError
- task :rcov do
- abort "RCov is not available. In order to run rcov, you must: sudo gem install spicycode-rcov"
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ else
+ end
+ else
end
end
-task :test => :check_dependencies
-
-task :default => :test
-
-require 'rake/rdoctask'
-Rake::RDocTask.new do |rdoc|
- version = File.exist?('VERSION') ? File.read('VERSION') : ""
-
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = "simple_importer #{version}"
- rdoc.rdoc_files.include('README*')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end

0 comments on commit eda5cb6

Please sign in to comment.